//
//  Worker.m
//  Fill-in PDF's Metadata
//
//  Created by ssp on 16.05.05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import "Worker.h"
#import <Quartz/Quartz.h>

@implementation Worker
+ (BOOL) processFile:(NSString*) path withTitle:(NSString*) myTitle andAuthor:(NSString*) myAuthor {
/*	we get an array containing
		0: file information
		1: title name
		2: author name
*/
	NSLog(@"Worker start processing");
//	NSLog([dict description]);
//	NSString * myAuthor = [dict objectForKey:@"author"];
	NSLog (myAuthor);
//	NSString * myTitle = [dict objectForKey:@"title"];
	NSLog(myTitle);
//	NSString *path = [dict objectForKey:@"file"];
	NSLog(path);
		
	NSData * myData = [[[NSData alloc] initWithContentsOfFile:path] autorelease];
	PDFDocument * myPDF = [[[PDFDocument alloc] initWithData:myData] autorelease];
	if (!(myData && myPDF)) return NO;
	
	NSMutableDictionary * myDict = [[[myPDF documentAttributes] mutableCopy] autorelease];
	[myDict setValue:myAuthor forKey:@"Author"/*PDFDocumentAuthorAttribute*/];
	[myDict setValue:myTitle forKey:@"Title"/*PDFDocumentTitleAttribute*/];
		
	[myPDF setDocumentAttributes:myDict];
	//NSLog([myPDF description]);		
		
	return [myPDF writeToFile:path];
}
@end
